Subject: Re: [PATCH 08/11] builtin/maintenance: let tasks do maintenance before and after detach

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 28 May 2025 09:02:29 +0200

On Tue, May 27, 2025 at 06:01:21PM +0100, Ramsay Jones wrote:
> On 27/05/2025 15:04, Patrick Steinhardt wrote:
> > Both git-gc(1) and git-maintenance(1) have logic to daemonize so that
> > the maintenance tasks are performed in the background. git-gc(1) has
> > some special logic though to not perform _all_ housekeeping tasks in the
> > background: both references and reflogs are still handled synchronously
> > ni the foreground.
> 
> s/ni/in/
> 
> > 
> > This split exists because otherwise it may easily happen that git-gc(1)
> > keeps for the "packed-refs" file locked for an extended amount of time,
> 
> s/keeps for the/keeps the/

And these I've got fixed now, as well. I'll wait a bit for more feedback
though before sending out these fixes.

Thanks!

Patrick